% CIS601 - Tom Gradel - Homework 10

% Clean up any old figures
close all;

% Number of images (not really used here)
IFIGURE = 1;
im = cell(IFIGURE,2); % Cell array for images

ICLUSTER = 10;

% Images are roughly the same size, but trim images to this size
IROW = 249;
ICOL = 203;

% File names for textures (only one for this case
im{1,1} = 'v4rabbit.jpg';

% load the images
figure;
for x=1:IFIGURE
    I = imread(im{x,1});
    I = I([1:IROW],[1:ICOL],:);
    subplot(2,3,x*2-1); imshow(I); title(['Original: ', im{x,1}]);
    II = I(:,:,1) > I(:,:,2);
    subplot(2,3,x*2); imshow(II); title('Red > Green');
    WEIGHT = edge(II,'sobel',.28);
    se = strel('disk',13);
    WEIGHT = imclose(WEIGHT,se);
    subplot(2,3,x*2+1); imshow(WEIGHT); title('Filter#1');
    WEIGHT = medfilt2(WEIGHT,[5 5]);
    subplot(2,3,x*2+2); imshow(WEIGHT); title('Filter#2');
    B = boundaries(WEIGHT);
    F = bound2im(B{1}, IROW, ICOL);
    subplot(2,3,x*2+3); imshow(F); title('Boundary');
end 

